> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/integrating/integrating-telemetry-providers/loadrunner-professional-provider/create-loadrunner-professional-provider-instances.md).

# Create LoadRunner Professional telemetry instances

To create an instance of the LoadRunner provider, build a YAML file (`instance.yml` in this example) with the definition of the instance:

```yaml
# LoadRunner Telemetry Provider Instance
provider: LoadRunner
config:
 hostname: cifsserver.mycompany.com
 username: akamas
 password: mypassword
 shareName: akamas_lr_results
```

Then you can create the instance for the `system` using the Akamas Studio CLI:

```bash
akamas create telemetry-instance instance.yml system
```

### Configuration options <a href="#configuration-options" id="configuration-options"></a>

When you create an instance of the LoadRunner provider, you should specify some configuration information to allow the provider to correctly extract and process metrics from LoadRunner.

You can specify configuration information within the `config` part of the YAML of the instance definition.

#### Required properties <a href="#required-properties" id="required-properties"></a>

* `hostname`: The hostname or IP of the server that hosts the CIFS share where the LoadRunner results have been exported. See [LoadRunner operator](/akamas-docs/reference/workflow-operators/loadrunner-operator.md).
* `username`: The username and the domain required to access the network share. Supported formats are:
  * username
  * domain\username
  * username\@domain
* `password`: The password required to access the network share
* `shareName`: The name of the network share as it is exposed by the server

### Telemetry instance reference <a href="#hardbreak-telemetry-instance-reference" id="hardbreak-telemetry-instance-reference"></a>

The following YAML file provides the reference for the definition of a telemetry instance.

```yaml
provider: LoadRunner # this is an instance of the LoadRunner provider
config:
 hostname: cifsserver.mycompany.com # Share server
 username: user@mycompany
 password: mypassword
 shareName: akamas_lr_results
 pathPrefix: YAML
 resultsFolder: YAML
```

The following table describes the reference for the `config` section within the definition of the LoadRunner provider instance:

| Field        | Type   | Description                                                                                                                                                                                                                                         | Default Value                            | Restrictions                                                                                                                    | Required |
| ------------ | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- | -------- |
| hostname     | String | the hostname or IP of the server that hosts the CIFS share where the LoadRunner results have been exported. See [LoadRunner operator](/akamas-docs/reference/workflow-operators/loadrunner-operator.md)                                             | -                                        | IP address or FQDN                                                                                                              | Yes      |
| username     | String | The username and the domain required to access the share                                                                                                                                                                                            | -                                        | <p>Supported formats:</p><ul><li><em>username</em></li><li><em>domain\username</em></li><li><em>username\@domain</em></li></ul> | Yes      |
| password     | String | The password required to access the share                                                                                                                                                                                                           | -                                        | -                                                                                                                               | Yes      |
| shareName    | String | The name of the share as it is exposed by the server                                                                                                                                                                                                | -                                        | -                                                                                                                               | Yes      |
| resultFolder | String | <p>The name of the folder where to look for test results. The final path is {pathPrefix}{resultsFolder}.</p><p>The default path is</p><p>See <a href="/akamas-docs/reference/workflow-operators/loadrunner-operator.md">LoadRunner operator</a></p> | *{studyName}\\{experimentId}\\{trialId}* | A valid Windows path segment, might contain the placeholders: *{studyName}, {experimentId}, {trialId}*                          | No       |
| pathPrefix   | String | A prefix the for path where to look for test results.                                                                                                                                                                                               | -                                        | A valid Windows path                                                                                                            | No       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/integrating/integrating-telemetry-providers/loadrunner-professional-provider/create-loadrunner-professional-provider-instances.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
